---
title: FormData.get()
slug: Web/API/FormData/get
tags:
  - API
  - FormData
  - Method
  - Reference
  - XHR
  - XMLHttpRequest
---
<p>{{APIRef("XMLHttpRequest")}}</p>

<p>The <code><strong>get()</strong></code> method of the {{domxref("FormData")}} interface returns the first value associated with a given key from within a <code>FormData</code> object. If you expect multiple values and want all of them, use the {{domxref("FormData.getAll()","getAll()")}} method instead.</p>

<div class="note">
<p><strong>Note</strong>: This method is available in <a href="/en-US/docs/Web/API/Web_Workers_API">Web Workers</a>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">formData.get(name);</pre>

<h3 id="append_Parameters">Parameters</h3>

<dl>
 <dt><code>name</code></dt>
 <dd>A {{domxref("USVString")}} representing the name of the key you want to retrieve.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("FormDataEntryValue")}} containing the value. If the key doesn't exist, the method returns null.</p>

<h2 id="Example">Example</h2>

<p>The following line creates an empty <code>FormData</code> object:</p>

<pre class="brush: js">var formData = new FormData();</pre>

<p>If we add two <code>username</code> values using {{domxref("FormData.append")}}:</p>

<pre class="brush: js">formData.append('username', 'Chris');
formData.append('username', 'Bob');</pre>

<p>The following <code>get()</code> function will only return the first <code>username</code> value appended:</p>

<pre class="brush: js">formData.get('username'); // Returns "Chris"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('XMLHttpRequest','#dom-formdata-get','get()')}}</td>
   <td>{{Spec2('XMLHttpRequest')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FormData.get")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("XMLHTTPRequest")}}</li>
 <li><a href="/en-US/docs/DOM/XMLHttpRequest/Using_XMLHttpRequest" title="Using XMLHttpRequest">Using XMLHttpRequest</a></li>
 <li><a href="/en-US/docs/DOM/XMLHttpRequest/FormData/Using_FormData_Objects" title="DOM/XMLHttpRequest/FormData/Using_FormData_objects">Using FormData objects</a></li>
 <li>{{HTMLElement("Form")}}</li>
</ul>
